<template>
    <app-layout title="Dashboard">
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Edit Post
            </h2>
        </template>
        <!--        <form @submit.prevent="submit">-->
        <!--            <label for="url_code">url_code:</label>-->
        <!--            <input id="url_code" v-model="form.url_code"/>-->

        <!--            <label for="title">title:</label>-->
        <!--            <input id="title" v-model="form.title"/>-->

        <!--            <label for="text">text:</label>-->
        <!--            <input id="text" v-model="form.text"/>-->

        <!--            <label for="active" type="checkbox">active:</label>-->
        <!--            <input id="active" v-model="form.active"/>-->

        <!--            <button type="submit">Submit</button>-->
        <!--        </form>-->
        <div class="mt-5 md:mt-0 md:col-span-2">
            <form @submit.prevent="submit">
                <div class="shadow overflow-hidden sm:rounded-md">
                    <div class="px-4 py-5 bg-white sm:p-6">
                        <div class="grid grid-cols-6 gap-6">
                            <div class="col-span-6 sm:col-span-3">
                                <label for="url_code" class="block text-sm font-medium text-gray-700">Url Code</label>
                                <input type="text" name="first-name" id="url_code" v-model="form.url_code"
                                       class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md">
                                <div class="text-red-500" v-if="form.errors.url_code">{{ form.errors.url_code }}</div>
                            </div>
                            <div class="col-span-6 sm:col-span-3">
                                <label for="last-name" class="block text-sm font-medium text-gray-700">Title</label>
                                <input type="text" name="last-name" id="last-name" v-model="form.title"
                                       class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md">
                                <div class="text-red-500" v-if="form.errors.title">{{ form.errors.title }}</div>
                            </div>
                        </div>
                        <div>
                            <label for="text" class="block text-sm font-medium text-gray-700">
                                Text
                            </label>
                            <div class="mt-1">
                                <textarea id="text" name="text" v-model="form.text" rows="3"
                                          class="shadow-sm focus:ring-indigo-500 focus:border-indigo-500 mt-1 block w-full sm:text-sm border border-gray-300 rounded-md"
                                          placeholder="Description"></textarea>
                                <div class="text-red-500" v-if="form.errors.text">{{ form.errors.text }}</div>
                            </div>
                            <p class="mt-2 text-sm text-gray-500">
                                Text of Press Release
                            </p>
                        </div>
                        <div class="flex items-start">
                            <div class="flex items-center h-5">
                                <input id="active" v-model="form.active" name="comments" type="checkbox"
                                       class="focus:ring-indigo-500 h-4 w-4 text-indigo-600 border-gray-300 rounded">
                            </div>
                            <div class="ml-3 text-sm">
                                <label for="active" class="font-medium text-gray-700">Active</label>
                            </div>
                        </div>
                    </div>
                    <div class="px-4 py-3 bg-gray-50 text-right sm:px-6">
                        <a href="#" @click="back" type="submit"
                                class="mr-4 inline-flex justify-center py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-black bg-white hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                            Cancel
                        </a>
                        <button type="submit"
                                class="inline-flex justify-center py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                            Submit
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </app-layout>
</template>

<script>
import {reactive} from 'vue'
import {Inertia} from '@inertiajs/inertia'
import AppLayout from "@/Layouts/AppLayout";
import { useForm } from '@inertiajs/inertia-vue3'

export default {
    components: {
        AppLayout,
    },
    props: {
        post: Object,
    },
    setup(props) {
        const form = useForm({
            url_code: props.post.url_code ?? '',
            title: props.post.title ?? '',
            text: props.post.text ?? '',
            active: props.post.active ?? true,
        })

        // function submit() {
        //     console.log(props.post.id);
        //     console.log(form);
        //     Inertia.patch(`/posts/${props.post.id}`, form)
        //     console.log(form.errors)
        // }

        return { form }
    },
    methods: {
        back(){
            window.history.back();
        },
        submit() {
            this.form.patch(route('posts.update', {id:this.post.id}))
        }
    }
}
</script>
